ubuntu-location-service: com::ubuntu::location::SpaceVehicle Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
com::ubuntu::location::SpaceVehicle Struct Reference

A space-vehicle as visible to providers. More...

`#include <space_vehicle.h>`

Collaboration diagram for com::ubuntu::location::SpaceVehicle:

## Classes
struct | Key
| Uniquely identifies a space vehicle, given its type and its id. More...

## Public Types
enum class | Type { unknown , beidou , galileo , glonass , gps , compass , irnss , qzss }
| Enumerates all known space-vehicle types. More...
typedef std::uint32_t | Id
| Numeric Id of an individual SpaceVehicle. More...

## Public Member Functions
bool | operator== (const SpaceVehicle &rhs) const
bool | operator< (const SpaceVehicle &rhs) const

## Public Attributes
Key | key
| Unique key identifying an instance. More...
float | snr = -std::numeric_limits<float>::max()
| Signal to noise ratio;. More...
bool | has_almanac_data = false
| Almanac data available for this vehicle. More...
bool | has_ephimeris_data = false
| Ephimeris data is available for this vehicle. More...
bool | used_in_fix = false
| This vehicle has been used to obtain a fix. More...
units::Quantity< units::PlaneAngle > | azimuth
| Azimuth of SV. More...
units::Quantity< units::PlaneAngle > | elevation
| Elevation of SV. More...

## Detailed Description

A space-vehicle as visible to providers.

Definition at line 33 of file space_vehicle.h.

## Member Typedef Documentation

## ◆ Id

typedef std::uint32_t com::ubuntu::location::SpaceVehicle::Id

Numeric Id of an individual SpaceVehicle.

Definition at line 36 of file space_vehicle.h.

## Member Enumeration Documentation

## ◆ Type

enum com::ubuntu::location::SpaceVehicle::Type
| strong

Enumerates all known space-vehicle types.

Enumerator
unknown | Unknown (and thus invalid) type.
beidou | People's Republic of China's regional system, currently limited to Asia and the West Pacific.
galileo | A global system being developed by the European Union and other partner countries, planned to be operational by 2014 (and fully deployed by 2019).
glonass | Russia's global navigation system. Fully operational worldwide.
gps | Fully operational worldwide.
compass | People's Republic of China's global system, planned to be operational by 2020.
irnss | India's regional navigation system, planned to be operational by 2014, covering India and Northern Indian Ocean.
qzss | Japanese regional system covering Asia and Oceania.

Definition at line 39 of file space_vehicle.h.

## Member Function Documentation

## ◆ operator<()

bool com::ubuntu::location::SpaceVehicle::operator< | ( | const SpaceVehicle & | rhs | ) | const
| inline

Definition at line 81 of file space_vehicle.h.

References key.

## ◆ operator==()

bool com::ubuntu::location::SpaceVehicle::operator== | ( | const SpaceVehicle & | rhs | ) | const
| inline

Definition at line 71 of file space_vehicle.h.

References azimuth, elevation, has_almanac_data, has_ephimeris_data, key, com::ubuntu::location::units::roughly_equals(), and used_in_fix.

Here is the call graph for this function:

## Member Data Documentation

## ◆ azimuth

units::Quantity<units::PlaneAngle> com::ubuntu::location::SpaceVehicle::azimuth

Azimuth of SV.

Definition at line 91 of file space_vehicle.h.

Referenced by core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::decode_argument(), core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::encode_argument(), com::ubuntu::location::operator<<(), and operator==().

## ◆ elevation

units::Quantity<units::PlaneAngle> com::ubuntu::location::SpaceVehicle::elevation

Elevation of SV.

Definition at line 92 of file space_vehicle.h.

Referenced by core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::decode_argument(), core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::encode_argument(), com::ubuntu::location::operator<<(), and operator==().

## ◆ has_almanac_data

bool com::ubuntu::location::SpaceVehicle::has_almanac_data = false

Almanac data available for this vehicle.

Definition at line 88 of file space_vehicle.h.

Referenced by core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::decode_argument(), core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::encode_argument(), com::ubuntu::location::operator<<(), and operator==().

## ◆ has_ephimeris_data

bool com::ubuntu::location::SpaceVehicle::has_ephimeris_data = false

Ephimeris data is available for this vehicle.

Definition at line 89 of file space_vehicle.h.

Referenced by core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::decode_argument(), core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::encode_argument(), com::ubuntu::location::operator<<(), and operator==().

## ◆ key

Key com::ubuntu::location::SpaceVehicle::key

Unique key identifying an instance.

Definition at line 86 of file space_vehicle.h.

Referenced by core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::decode_argument(), core::dbus::Codec< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > >::decode_argument(), core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::encode_argument(), operator<(), com::ubuntu::location::operator<<(), and operator==().

## ◆ snr

float com::ubuntu::location::SpaceVehicle::snr = -std::numeric_limits<float>::max()

Signal to noise ratio;.

Definition at line 87 of file space_vehicle.h.

Referenced by core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::decode_argument(), core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::encode_argument(), and com::ubuntu::location::operator<<().

## ◆ used_in_fix

bool com::ubuntu::location::SpaceVehicle::used_in_fix = false

This vehicle has been used to obtain a fix.

Definition at line 90 of file space_vehicle.h.

Referenced by core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::decode_argument(), core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::encode_argument(), com::ubuntu::location::operator<<(), and operator==().

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/space_vehicle.h